unit WebMod;

interface

uses
  Windows, Messages, SysUtils, Classes, HTTPApp, MidItems, Db, ADODB,
  Provider, CompProd, PagItems, MidProd, XMLBrokr;

type
  TWebModule1 = class(TWebModule)
    CustomerXMLBroker: TXMLBroker;
    MidasPageProducer: TMidasPageProducer;
    CustomerProvider: TDataSetProvider;
    ADOConnect: TADOConnection;
    CustomerADOTable: TADOTable;
    OrdersADOTable: TADOTable;
    DataSource1: TDataSource;
    CustomerOrderDataForm: TDataForm;
    CustomerFieldGroup: TFieldGroup;
    CustomerADOTableCustNo: TFloatField;
    CustomerADOTableCompany: TWideStringField;
    CustomerADOTableAddr1: TWideStringField;
    CustomerADOTableAddr2: TWideStringField;
    CustomerADOTableCity: TWideStringField;
    CustomerADOTableState: TWideStringField;
    CustomerADOTableZip: TWideStringField;
    CustomerADOTableCountry: TWideStringField;
    CustomerADOTablePhone: TWideStringField;
    CustomerADOTableFAX: TWideStringField;
    CustomerADOTableTaxRate: TFloatField;
    CustomerADOTableContact: TWideStringField;
    CustomerADOTableLastInvoiceDate: TDateField;
    OrdersADOTableOrderNo: TFloatField;
    OrdersADOTableCustNo: TFloatField;
    OrdersADOTableSaleDate: TDateField;
    OrdersADOTableShipDate: TDateField;
    OrdersADOTableEmpNo: TIntegerField;
    OrdersADOTableShipToContact: TWideStringField;
    OrdersADOTableShipToAddr1: TWideStringField;
    OrdersADOTableShipToAddr2: TWideStringField;
    OrdersADOTableShipToCity: TWideStringField;
    OrdersADOTableShipToState: TWideStringField;
    OrdersADOTableShipToZip: TWideStringField;
    OrdersADOTableShipToCountry: TWideStringField;
    OrdersADOTableShipToPhone: TWideStringField;
    OrdersADOTableShipVIA: TWideStringField;
    OrdersADOTablePO: TWideStringField;
    OrdersADOTableTerms: TWideStringField;
    OrdersADOTablePaymentMethod: TWideStringField;
    OrdersADOTableItemsTotal: TFloatField;
    OrdersADOTableTaxRate: TFloatField;
    OrdersADOTableFreight: TFloatField;
    OrdersADOTableAmountPaid: TFloatField;
    CustomerNavigator: TDataNavigator;
    OrdersGrid: TDataGrid;
    OrdersNavigator: TDataNavigator;
    OrdersProvider: TDataSetProvider;
    OrdersXMLBroker: TXMLBroker;
    CustNo: TFieldText;
    Company: TFieldText;
    Addr1: TFieldText;
    Addr2: TFieldText;
    City: TFieldText;
    State: TFieldText;
    Zip: TFieldText;
    Country: TFieldText;
    Phone: TFieldText;
    FAX: TFieldText;
    TaxRate: TFieldText;
    Contact: TFieldText;
    LastInvoiceDate: TFieldText;
    FieldStatus1: TFieldStatus;
    OrderNo: TTextColumn;
    CustNo2: TTextColumn;
    SaleDate: TTextColumn;
    ShipDate: TTextColumn;
    EmpNo: TTextColumn;
    ShipToContact: TTextColumn;
    ShipToAddr1: TTextColumn;
    ShipToAddr2: TTextColumn;
    ShipToCity: TTextColumn;
    ShipToState: TTextColumn;
    ShipToZip: TTextColumn;
    ShipToCountry: TTextColumn;
    ShipToPhone: TTextColumn;
    ShipVIA: TTextColumn;
    PO: TTextColumn;
    Terms: TTextColumn;
    PaymentMethod: TTextColumn;
    ItemsTotal: TTextColumn;
    TaxRate2: TTextColumn;
    Freight: TTextColumn;
    AmountPaid: TTextColumn;
    StatusColumn1: TStatusColumn;
    procedure WebModule1WebActionItem1Action(Sender: TObject;
      Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  WebModule1: TWebModule1;

implementation

{$R *.DFM}

procedure TWebModule1.WebModule1WebActionItem1Action(Sender: TObject;
  Request: TWebRequest; Response: TWebResponse; var Handled: Boolean);
begin
  Response.Content := MidasPageProducer.Content
end;

end.
