object TDM: TTDM
  OldCreateOrder = False
  Left = 283
  Top = 180
  Height = 480
  Width = 696
  object CustomerTable: TTable
    Active = True
    AfterScroll = CustomerTableScroll
    DatabaseName = 'DBDEMOS'
    SessionName = 'Session1_1'
    TableName = 'customer.db'
    Left = 48
    Top = 80
    object CustomerTableCustNo: TFloatField
      Alignment = taLeftJustify
      CustomConstraint = 'CustNo IS NOT NULL'
      ConstraintErrorMessage = 'CustNo cannot be blank'
      FieldName = 'CustNo'
      DisplayFormat = 'CN 0000'
      MaxValue = 9999
      MinValue = 1000
    end
    object CustomerTableCompany: TStringField
      CustomConstraint = 'X IS NOT NULL'
      ConstraintErrorMessage = 'Company Field has to have a value'
      FieldName = 'Company'
      Size = 30
    end
    object CustomerTableAddr1: TStringField
      FieldName = 'Addr1'
      Size = 30
    end
    object CustomerTableAddr2: TStringField
      FieldName = 'Addr2'
      Size = 30
    end
    object CustomerTableCity: TStringField
      FieldName = 'City'
      Size = 15
    end
    object CustomerTableState: TStringField
      FieldName = 'State'
    end
    object CustomerTableZip: TStringField
      FieldName = 'Zip'
      Size = 10
    end
    object CustomerTableCountry: TStringField
      FieldName = 'Country'
    end
    object CustomerTablePhone: TStringField
      FieldName = 'Phone'
      Size = 15
    end
    object CustomerTableFAX: TStringField
      FieldName = 'FAX'
      Size = 15
    end
    object CustomerTableTaxRate: TFloatField
      FieldName = 'TaxRate'
      DisplayFormat = '0.00%'
      MaxValue = 100
    end
    object CustomerTableContact: TStringField
      FieldName = 'Contact'
    end
    object CustomerTableLastInvoiceDate: TDateTimeField
      FieldName = 'LastInvoiceDate'
    end
  end
  object OrdersTable: TTable
    Active = True
    DatabaseName = 'DBDEMOS'
    SessionName = 'Session1_1'
    IndexName = 'CustNo'
    MasterFields = 'CustNo'
    MasterSource = DataSource1
    TableName = 'orders.db'
    Left = 152
    Top = 80
    object OrdersTableOrderNo: TFloatField
      FieldName = 'OrderNo'
      DisplayFormat = #39'#'#39'0000'
    end
    object OrdersTableCustNo: TFloatField
      Alignment = taLeftJustify
      CustomConstraint = 'CustNo IS NOT NULL'
      ConstraintErrorMessage = 'CustNo cannot be blank'
      FieldName = 'CustNo'
      Required = True
      DisplayFormat = 'CN 0000'
      MaxValue = 9999
      MinValue = 1000
    end
    object OrdersTableSaleDate: TDateTimeField
      FieldName = 'SaleDate'
    end
    object OrdersTableShipDate: TDateTimeField
      FieldName = 'ShipDate'
    end
    object OrdersTableEmpNo: TIntegerField
      CustomConstraint = 'Value > 0'
      ConstraintErrorMessage = 'EmpNo cannot be 0 or negative'
      FieldName = 'EmpNo'
      Required = True
      DisplayFormat = 'Emp'#39'#'#39' 0000'
      MaxValue = 9999
      MinValue = 1
    end
    object OrdersTableShipToContact: TStringField
      FieldName = 'ShipToContact'
    end
    object OrdersTableShipToAddr1: TStringField
      FieldName = 'ShipToAddr1'
      Size = 30
    end
    object OrdersTableShipToAddr2: TStringField
      FieldName = 'ShipToAddr2'
      Size = 30
    end
    object OrdersTableShipToCity: TStringField
      FieldName = 'ShipToCity'
      Size = 15
    end
    object OrdersTableShipToState: TStringField
      FieldName = 'ShipToState'
    end
    object OrdersTableShipToZip: TStringField
      FieldName = 'ShipToZip'
      Size = 10
    end
    object OrdersTableShipToCountry: TStringField
      FieldName = 'ShipToCountry'
    end
    object OrdersTableShipToPhone: TStringField
      FieldName = 'ShipToPhone'
      Size = 15
    end
    object OrdersTableShipVIA: TStringField
      FieldName = 'ShipVIA'
      Size = 7
    end
    object OrdersTablePO: TStringField
      FieldName = 'PO'
      Size = 15
    end
    object OrdersTableTerms: TStringField
      FieldName = 'Terms'
      Size = 6
    end
    object OrdersTablePaymentMethod: TStringField
      FieldName = 'PaymentMethod'
      Size = 7
    end
    object OrdersTableItemsTotal: TCurrencyField
      FieldName = 'ItemsTotal'
    end
    object OrdersTableTaxRate: TFloatField
      FieldName = 'TaxRate'
      DisplayFormat = '0.00%'
      MaxValue = 100
    end
    object OrdersTableFreight: TCurrencyField
      FieldName = 'Freight'
    end
    object OrdersTableAmountPaid: TCurrencyField
      FieldName = 'AmountPaid'
    end
  end
  object DataSource1: TDataSource
    DataSet = CustomerTable
    Left = 104
    Top = 152
  end
  object CustomerOrdersProvider: TDataSetProvider
    DataSet = CustomerTable
    Constraints = True
    BeforeGetRecords = CustomerOrdersProviderBeforeGetRecords
    Left = 104
    Top = 224
  end
  object Session1: TSession
    Active = True
    AutoSessionName = True
    Left = 48
    Top = 24
  end
end
